interactions:
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://api.reddit.com/r/python/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 54566 characters]
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['36591']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:42:59 GMT']
      Server: [snooserv]
      Set-Cookie: ['loid=00000000000drjn0i0.2.1505364178660.Z0FBQUFBQlp1Z2pTdjVKUzFFUGRmc29LdENCdEhNRHluZFdvdC0xaU1TbWcycVE5SHNFZ2pMQXFob2JWTjNHUjI2UmVCR19IcHNhcnRzQXQ1RnFqNHV3M2xkOWh6RWItS18xX2ZoS0hBZjFkWmFjcGt5MUlqVVBBSUlNUkdfVldKT09CTUJNMVNvd3Y;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:42:58
          GMT; secure', 'session_tracker=uQzZi9gYLUtucHr04h.0.1505364178656.Z0FBQUFBQlp1Z2pTOTZuZ0dPdjE5RmZJYUpyY0lETFBvNzkxX19DcmhPYmF0R1ptaTRxckg2ZnNCd2hxRHdJUmFab25DSHJZWEN4eGs4Q1VMd1VGNmRIS2l4OVBLN2JTRXlFXzVSR3NGSGRTTzhkZ0xsdWxpcXJuVzlGckg3SmtnZTh3aVh0S0dpeW8;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:58
          GMT; secure', edgebucket=QjEfJhXajiRD8drbCq; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1732-ORD]
      X-Timer: ['S1505364179.644078,VS0,VE378']
      access-control-allow-origin: ['*']
      access-control-expose-headers: ['X-Reddit-Tracking, X-Moose']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['loid=00000000000drjn0i0.2.1505364178660.Z0FBQUFBQlp1Z2pTdjVKUzFFUGRmc29LdENCdEhNRHluZFdvdC0xaU1TbWcycVE5SHNFZ2pMQXFob2JWTjNHUjI2UmVCR19IcHNhcnRzQXQ1RnFqNHV3M2xkOWh6RWItS18xX2ZoS0hBZjFkWmFjcGt5MUlqVVBBSUlNUkdfVldKT09CTUJNMVNvd3Y;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:42:58
          GMT; secure', 'session_tracker=uQzZi9gYLUtucHr04h.0.1505364178656.Z0FBQUFBQlp1Z2pTOTZuZ0dPdjE5RmZJYUpyY0lETFBvNzkxX19DcmhPYmF0R1ptaTRxckg2ZnNCd2hxRHdJUmFab25DSHJZWEN4eGs4Q1VMd1VGNmRIS2l4OVBLN2JTRXlFXzVSR3NGSGRTTzhkZ0xsdWxpcXJuVzlGckg3SmtnZTh3aVh0S0dpeW8;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:42:58
          GMT; secure', edgebucket=QjEfJhXajiRD8drbCq; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=6jbEAb4ucEsoPtjvgXmexQnuc2XKrdmIoAIW%2BwJnAKo3iGr%2FPf0XWEnbv659h8AbBVeaVwEBlHs%3D']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: grant_type=refresh_token&redirect_uri=http%3A%2F%2F127.0.0.1%3A65000%2F&refresh_token=**********
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Content-Length: ['122']
      Content-Type: [application/x-www-form-urlencoded]
      Cookie: [edgebucket=QjEfJhXajiRD8drbCq; loid=00000000000drjn0i0.2.1505364178660.Z0FBQUFBQlp1Z2pTdjVKUzFFUGRmc29LdENCdEhNRHluZFdvdC0xaU1TbWcycVE5SHNFZ2pMQXFob2JWTjNHUjI2UmVCR19IcHNhcnRzQXQ1RnFqNHV3M2xkOWh6RWItS18xX2ZoS0hBZjFkWmFjcGt5MUlqVVBBSUlNUkdfVldKT09CTUJNMVNvd3Y;
          session_tracker=uQzZi9gYLUtucHr04h.0.1505364178656.Z0FBQUFBQlp1Z2pTOTZuZ0dPdjE5RmZJYUpyY0lETFBvNzkxX19DcmhPYmF0R1ptaTRxckg2ZnNCd2hxRHdJUmFab25DSHJZWEN4eGs4Q1VMd1VGNmRIS2l4OVBLN2JTRXlFXzVSR3NGSGRTTzhkZ0xsdWxpcXJuVzlGckg3SmtnZTh3aVh0S0dpeW8]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: POST
    uri: https://api.reddit.com/api/v1/access_token/
  response:
    body: {string: '{"access_token": "5iCvZYjWl1Q8Wq0t2F3oMkjQLSw", "token_type":
        "bearer", "device_id": "None", "expires_in": 3600, "scope": "edit history
        identity mysubreddits privatemessages read report save submit subscribe vote"}'}
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Length: ['214']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:43:01 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1732-ORD]
      X-Timer: ['S1505364181.213739,VS0,VE39']
      cache-control: ['max-age=0, must-revalidate']
      set-cookie: ['session_tracker=uQzZi9gYLUtucHr04h.0.1505364181231.Z0FBQUFBQlp1Z2pWa0hFRGIyNGN2SVlpSUI5TVJaUlJOcG5VLUN4dDd4VWh4YU9GMW5JNGxiNXZESWlwOEFxZkFSU0dkZmVJNUpqSFkzaklEdVpublRqVzZsUjRPeVpCSXBWLUlReVZLeWZBMHdMbm9UNC1qV0Q3cmRFSE90TWtWbWotYmRRalM1N1I;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:43:01
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://oauth.reddit.com/api/v1/me.json
  response:
    body:
      string: !!binary |
        H4sIANUIulkC/61W227cNhD9FWOfXdvS+rLJW5o6rdsiiIsWBVoUBCWNVsxSJMPLrneD/ntnKGpF
        OdsmBfJirDW8nDlz5nA+LoRj0Bup9wCLl2ctlw7OzxYtcB8sOPz0ceGA27pjJlRS1Mxb3raijhG9
        U2DxV1qywJ1bbgVXnj4q2LG0d0UheDJgRQ/KM9HggrIo/8bPdcdpubeBbm40U9rTLfVm+uo6vWO8
        N0wKlX2WYgus48aAEmqNG3dTTKj3UHuGIOZQLUjYclXDM7QWeo2n1Vq50ENzEvDVkgDzxoHdgmUW
        jLYeb55uXUdEzju2tngwEThihTWv9yMhxkKb5+HoGEbnihqYxVSDmeJ4I+PBawZPHhRBSYFeV0IC
        20HFPLdrmINpoOVBeuasY52WjQ6U6RdwgSR4qyUrTrFQ3BUDCwewG3a6XgEzcSyllbED2mgTJLdM
        qK8IqSyuCNKuEx7oUmiY6TPuhar0EwrYddM3PMFpxaU4cC+0ihXJtgSDBWxID3ojYiMcz/KAneFP
        EV5b7ZzRGDRWt1iZKVRJXW8Y8cKqfVLOFD0WGEGEvMAaVbTG+yhOncqFzLD0VPgnvKvXrNcNlyPl
        rMZWxeLg8j1rhOuFc6JCpQidbUcaucICwhZmUoWQ0mZG4zn7jBXfY6iPzFMrZptabVG5nfcmBzjo
        UyHF2BcVV0OVxxIQU5h0IotV4PkUxaQb4QN6E7GD/wmLDZ1RE3ylkawh1yjAWTHIfqRer3GjYjWv
        u0/TiWhPHJ2atOEo8MnvTpAexYCMe4HcJ2LcnGTDsegMU8g+WY3i6ntkpZ5HpgbJwJD3Ib54eoPS
        nnvg5+Fgja2OfZK2DGqrSfbZNbUFUFuBrD3XAzE5KBa1xJHTvMA8Nf+MexeqoXzMBpl3TxKEA08y
        zQLJTo6WysoshlC3wpN5Dv64s9jozxiKreUsaq3PQseOpCOjK2VlIPlBX0FuqBmbHKlG7dHOicLM
        qvDhQj1jP56fdKrylFMVqztyqozRVuavFlZBS/lJBf5/o39S9Mx7Tfc1vbe8GZ6DweE8WuN/VM4C
        HzHRLjJdfD+iA3CFC6etOJi44EyU/GKaTOKOWZuoICUxN0ou5hTVgEdE6KJCa6Wl4yECPzPRk2AH
        D3h5eVld+C70lbsYTsERQPAL7KHLu1fSbO+t3vrH4vZKv3izf3hofnh9aH8uN9/A+/rFqvztNrx7
        HQ4PFwabAM8fjO6LbzC/L399WG7l4XZTbx6+s++ul2/6n+T3fyxfPW31sj18+/a+qH80rn4cb8BS
        G8n3Ue3x6RJPkaZFuKyR8elV6/gB2JK2dEg9tYg4UH8k1kaeIuKcZ6QTtSiqoWOKoSDjQEH8TZXa
        wB55lpHhBd0U+zGmNy1qgI4zyXPisvHuPvjZ1XluMSX2mZQGnlNGGczn7w0aY3ySF/92XrCSwpeE
        7CSPl1l1E5F/FuXq6vxsubr+C2MjZn/DlvLD3e0sT41g+aDEhEjTGFmssuTTlH2CLrJ9dAsuLAPF
        scdzzqKiR0Tlze35Gf4hQJMT+70Z6EQ4dB4PjQBs9jTIPK/KJIAEl/qVvhuckGfdtEYvwcnUCBu5
        ykoRFSk/KK6jLGI7O6JzWs2Cp7c17UA6RCtyQyanROJo8MFdaHokx7R6Ym/yDAKT8xJpn1Z0OEWN
        lwzj1DyGi1n6Oh6hcTDryGePlre4L/W9/+WxbdpX7dvHqESBs2KL/sysrnQEOe6Pddtw21M3lOWK
        UMV5tMbphWhH9Qy25rUZFhL5Q9WyNyDCm0OLu2K3OaX1lvtoiGN01OIpIRNmfPD50HnFdXlTLovb
        66sLAhMLWk8A6FtanMoVN1yVq7QBB6w0u413j0PimPfqRcrgKKvjM/APhXUFzIQOAAA=
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['1418']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:43:01 GMT']
      Server: [snooserv]
      Set-Cookie: ['session_tracker=eLnQTfZqTvQfzGfG9D.0.1505364181415.Z0FBQUFBQlp1Z2pWalFVcVJ6WkJhNnRJN2FaMVpvTmFwbHRvcTJJSkRIbmxValZPS1NxbkhjTGJZV3k5Qk5Icy1Lb3BDTm9WdXNZcEQ3RjNhUHcxdlRrQ2NuUm1WYlREMVBwYlNEQUtuMXNIYVQ0OG9oSzMwQW5SaW1LT0hWZnEzeW5aQmZiS0RqQnU;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:43:01
          GMT; secure', edgebucket=JJhWDoj2utS0L3G4AH; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1725-ORD]
      X-Timer: ['S1505364181.399980,VS0,VE60']
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate, max-age=0,
          must-revalidate']
      expires: ['-1']
      set-cookie: ['session_tracker=eLnQTfZqTvQfzGfG9D.0.1505364181415.Z0FBQUFBQlp1Z2pWalFVcVJ6WkJhNnRJN2FaMVpvTmFwbHRvcTJJSkRIbmxValZPS1NxbkhjTGJZV3k5Qk5Icy1Lb3BDTm9WdXNZcEQ3RjNhUHcxdlRrQ2NuUm1WYlREMVBwYlNEQUtuMXNIYVQ0OG9oSzMwQW5SaW1LT0hWZnEzeW5aQmZiS0RqQnU;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:43:01
          GMT; secure', edgebucket=JJhWDoj2utS0L3G4AH; Domain=reddit.com; Max-Age=63071999;
          Path=/;  secure]
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['573.0']
      x-ratelimit-reset: ['419']
      x-ratelimit-used: ['27']
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
- request:
    body: null
    headers:
      Accept: ['*/*']
      Accept-Encoding: ['gzip, deflate']
      Authorization: ['**********']
      Connection: [keep-alive]
      Cookie: [edgebucket=JJhWDoj2utS0L3G4AH; session_tracker=eLnQTfZqTvQfzGfG9D.0.1505364181415.Z0FBQUFBQlp1Z2pWalFVcVJ6WkJhNnRJN2FaMVpvTmFwbHRvcTJJSkRIbmxValZPS1NxbkhjTGJZV3k5Qk5Icy1Lb3BDTm9WdXNZcEQ3RjNhUHcxdlRrQ2NuUm1WYlREMVBwYlNEQUtuMXNIYVQ0OG9oSzMwQW5SaW1LT0hWZnEzeW5aQmZiS0RqQnU]
      User-Agent: [rtv test suite PRAW/3.6.1 Python/3.6.1 b'Darwin-14.5.0-x86_64-i386-64bit']
    method: GET
    uri: https://oauth.reddit.com/subreddits/mine/subscriber/.json?limit=1024
  response:
    body:
      string: !!binary |
[encoded data, 241400 characters]
        DAA=
    headers:
      Accept-Ranges: [bytes]
      Connection: [keep-alive]
      Content-Encoding: [gzip]
      Content-Length: ['161882']
      Content-Type: [application/json; charset=UTF-8]
      Date: ['Thu, 14 Sep 2017 04:43:01 GMT']
      Server: [snooserv]
      Strict-Transport-Security: [max-age=15552000; includeSubDomains; preload]
      Vary: [accept-encoding]
      Via: [1.1 varnish]
      X-Cache: [MISS]
      X-Cache-Hits: ['0']
      X-Moose: [majestic]
      X-Served-By: [cache-ord1725-ORD]
      X-Timer: ['S1505364182.520923,VS0,VE254']
      cache-control: ['private, s-maxage=0, max-age=0, must-revalidate, max-age=0,
          must-revalidate']
      expires: ['-1']
      set-cookie: ['loid=0000000000000lqnao.2.1425202840186.Z0FBQUFBQlp1Z2pWYkdmUjZzUGFYaDZPTWJPV3RiSUhub2h6aTR3eVVUbldPa1I0Yk5OTHNiQ01WT1AwVGNPR3Y2SEE1UFd4OTlfSGlTcXM1LWhLTzh4WVd2OXFPeXJlWFhtd1V6YlgwWDlYOWNCNmR3QjhsRUE1Wl9tZmxzRTZ4ZnpRWjhOMS1udUY;
          Domain=reddit.com; Max-Age=63071999; Path=/; expires=Sat, 14-Sep-2019 04:43:01
          GMT; secure', 'session_tracker=eLnQTfZqTvQfzGfG9D.0.1505364181533.Z0FBQUFBQlp1Z2pWVkJMUy0tX3pUYUVNNEt3ZS04c0NtS0t2YXNqNElFcl9KX2xGRm5pRHRkU2J0RGJkSVhLV0YxTFhsVTBIOUt2djlkOWJXaWlsZmxSc3NlNkdDX1JRdTEydlZERGlEQ1pZNnFqbXdJdkVnOHlPLXZFWDFNOG4wU3IwTDdla1NxWlI;
          Domain=reddit.com; Max-Age=7199; Path=/; expires=Thu, 14-Sep-2017 06:43:01
          GMT; secure']
      x-content-type-options: [nosniff]
      x-frame-options: [SAMEORIGIN]
      x-ratelimit-remaining: ['572.0']
      x-ratelimit-reset: ['419']
      x-ratelimit-used: ['28']
      x-reddit-tracking: ['https://pixel.redditmedia.com/pixel/of_destiny.png?v=I69F4SwD6%2BpVYTsIGU%2FLv19TCCTJVs0L%2FSUJ8ihDeYvuifI1loL%2B%2BkShDtME90IXv7eXBpCrln1V1gclnMu7N5XOaEF8jiR7']
      x-ua-compatible: [IE=edge]
      x-xss-protection: [1; mode=block]
    status: {code: 200, message: OK}
version: 1
